<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>
  <v-container>
    <v-row dense>
      <v-col cols="6" >
        <div class="esy-label">Provider technology</div> {{provider.driver}}
      </v-col>
    </v-row>
    <v-row dense>
      <v-col cols="6">
          <div class="esy-label">Host URL</div> {{provider.api_server_url}}
      </v-col>
      <v-col cols="6" >
          <div class="esy-label">Auth Method</div> {{provider.auth_method}}
      </v-col>
      <v-col cols="6" >
          <div class="esy-label">Namespace</div> {{provider.namespace}}
      </v-col>
    </v-row>
  </v-container>
</template>

<script>

export default {

  props: {
    provider: {
      type: Object,
      default: function() {return {}}
    }
  }

};

</script>
